<?php
defined('BASEPATH') or exit('No direct script access allowed');

require APPPATH . '/libraries/REST_Controller.php';
require APPPATH . '/libraries/Format.php';

use Restserver\Libraries\REST_Controller;

header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");

class Api_tokopedia_activity_masukkan extends REST_Controller
{

	public function __construct()
	{
		parent::__construct();
		$this->load->helper(['jwt', 'authorization']);
	}


	public function index_post()
	{
		//PANGGIL DATA
		$tokopedia = $this->db->query("SELECT * FROM tbl_mst_tokopedia  order by mst_tokopedia_urutan asc");

		if ($tokopedia->num_rows() > 0) {
			foreach ($tokopedia->result() as $row) {
				$data['tokopedia'][] = array(
					'mst_tokopedia_kode' => encrypt($row->mst_tokopedia_kode, $this->config->item('key')),
					'mst_tokopedia_nama' => encrypt($row->mst_tokopedia_nama, $this->config->item('key')),
					'mst_tokopedia_keterangan' => encrypt($row->mst_tokopedia_keterangan, $this->config->item('key')),
					'mst_tokopedia_notasi' => encrypt($row->mst_tokopedia_notasi, $this->config->item('key')),
					'mst_tokopedia_harga' => encrypt(number_format($row->mst_tokopedia_harga, 0, ',', '.'), $this->config->item('key')),
					'mst_tokopedia_admin' => encrypt(number_format($row->mst_tokopedia_admin, 0, ',', '.'), $this->config->item('key')),
					'mst_tokopedia_total' => encrypt(number_format($row->mst_tokopedia_harga + $row->mst_tokopedia_admin, 0, ',', '.'), $this->config->item('key')),
					'mst_tokopedia_poin' => encrypt($row->mst_tokopedia_poin, $this->config->item('key')),
					'mst_tokopedia_urutan' => encrypt($row->mst_tokopedia_urutan, $this->config->item('key')),
					'mst_tokopedia_status' => encrypt($row->mst_tokopedia_status, $this->config->item('key')),
				);
			}

			$sess["status"] = "001";
			$sess["pesan"] = "Berhasil";
			$keytoken = strtoupper(substr(sha1(uniqid()), 0, 16));;
			$sess['data'] = array(
				'token' =>  encrypt($keytoken, $this->config->item('keytoken')),
				'value' =>  encrypt(json_encode($data), $keytoken)
			);
			echo json_encode($sess);
		} else {
			$sess["status"] = "002";
			$sess["pesan"] = "Gagal";
			$keytoken = strtoupper(substr(sha1(uniqid()), 0, 16));;
			$sess['data'] = array(
				'token' =>  encrypt($keytoken, $this->config->item('keytoken')),
				'value' =>  encrypt(json_encode(array()), $keytoken)
			);
			echo json_encode($sess);
		}
	}
}
